package org.jk.rag.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jk.common.mybatis.core.page.PageQuery;
import org.jk.rag.domain.vo.EvaluationTaskVo;

import java.util.List;
import java.util.concurrent.CompletableFuture;

/**
 * 用户 业务层
 *
 * @author jk
 */
public interface IJkEvaluationTaskService {

    Page<EvaluationTaskVo> selectPageList(String name, PageQuery pageQuery);

    Long insertEvaluationTask(EvaluationTaskVo datasetVo);

    boolean checkName(String name);

    void edit(EvaluationTaskVo evaluationTaskVo);

    CompletableFuture<Integer> beginTask(EvaluationTaskVo evaluationTaskVo) throws Exception;

    void deleteById(Long taskId);

}
